INTERFACE
subroutine onedvar_adjoint_test ( ksat, k1d_x, k1d_y, k1d_z,&
 & p1d_x, p1d_xt, p1d_x_tl, p1d_xt_tl) 
use parkind1, only: jpim, jprb
integer(kind=jpim), intent(in) :: ksat, k1d_x, k1d_y, k1d_z
real(kind=jprb), intent(in), dimension(k1d_x) :: p1d_x
real(kind=jprb), intent(in), dimension(k1d_z) :: p1d_xt
real(kind=jprb), intent(in), dimension(k1d_x) :: p1d_x_tl
real(kind=jprb), intent(in), dimension(k1d_z) :: p1d_xt_tl
integer(kind=jpim), parameter :: jpks = kind (zz)
end subroutine onedvar_adjoint_test
END INTERFACE
